const GLib = imports.gi.GLib;
const ScreenshotService = imports.ui.screenshot.ScreenshotService;

let orig_onScreenshotComplete;

function init() {
}

function new_onScreenshotComplete(result, area, filenameUsed, flash, invocation) {
    if (filenameUsed && filenameUsed.startsWith(GLib.get_tmp_dir()))
        flash = false;
    orig_onScreenshotComplete.apply(this, arguments);
}

function enable() {
    orig_onScreenshotComplete = ScreenshotService.prototype._onScreenshotComplete;
    ScreenshotService.prototype._onScreenshotComplete = new_onScreenshotComplete;
}

function disable() {
    ScreenshotService.prototype._onScreenshotComplete = orig_onScreenshotComplete;
}
